// vector.h - Plantilla de clase Vector
#if !defined( _VECTOR_H_ )
#define _VECTOR_H_

template<class T> class Vector // declaración
{
  private:
    T *vector; // puntero al primer elemento de la matriz
    int nElementos; // número de elementos de la matriz
  protected:
    T *asignarMem(int);
  public:
    Vector(int ne = 10); // crea un Vector con ne elementos
    Vector(const Vector<T>&); // crea un Vector desde otro
    ~Vector() { delete [] vector; vector = 0; } // destructor
    Vector& operator=(const Vector<T>&);
    T& operator[](int i) const { return vector[i]; }
    int longitud() const { return nElementos; }
};

#include "vector.cpp" // definición

#endif // _VECTOR_H_

